using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace backend.Models;

public class User
{
	[Key]
	[DatabaseGenerated(DatabaseGeneratedOption.Identity)]
	public int Id { get; set; }

	public string Username { get; set; }
    public string Password { get; set; }
    public string TouchCode { get; set; }
	public string? SessionToken { get; set; }
	public bool IsParent { get; set; }
	public int Dispenses { get; set; }
}
